> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/basic-data/match-goal-line.md).

# Match Goal Line

## Match Goal Line

> Returns goal line data for a single match\<br/>Request times:120 times/min\<br/>\<br/>PS:Get the changed match id through the 'data update' interface

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"BASIC DATA","description":"BASIC DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/match/goal/line/detail":{"get":{"tags":["BASIC DATA"],"description":"Returns goal line data for a single match<br/>Request times:120 times/min<br/><br/>PS:Get the changed match id through the 'data update' interface","summary":"Match Goal Line","operationId":"getMatchGoalLine","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Match id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/GoalLine"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"GoalLine":{"type":"object","description":"Data details","properties":{"number":{"type":"integer","description":"Number of goals"},"time":{"type":"integer","description":"Time (second)"},"goal_x":{"type":"string","description":"Goal x-coordinate(The coordinate origin is in the upper left, and the maximum x is 9.6)"},"goal_y":{"type":"string","description":"Goal y-coordinate(The coordinate origin is in the upper left, and the maximum y is 38)"},"own_goal":{"type":"integer","description":"Is it an own goal? 1.Yes 0.No"},"pass":{"type":"array","description":"Passing Lines","items":{"$ref":"#/components/schemas/GoalLinePass"}},"goalkeeper":{"type":"object","description":"goalkeeper","properties":{"belong":{"type":"integer","description":"Team 1.Home team 2.Away team"},"player_id":{"type":"string","description":"Player id"},"shirt_number":{"type":"string","description":"Jersey number"}}}}},"GoalLinePass":{"type":"object","properties":{"belong":{"type":"integer","description":"Team 1.Home team 2.Away team"},"player_id":{"type":"string","description":"Player id"},"shirt_number":{"type":"string","description":"Jersey number"},"x":{"type":"string","description":"Full field x-coordinate(The coordinate origin is in the upper left, and the maximum x is 100)"},"y":{"type":"string","description":"Full field y-coordinate(The coordinate origin is in the upper left, and the maximum y is 100)"},"shooter":{"type":"integer","description":"Is the shooter? 1.Yes 0.No"},"assist":{"type":"integer","description":"Is it an assist? 1.Yes 0.No"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/basic-data/match-goal-line.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
